From 76a033aee984abcf3307bed3d107264c67fade6d Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 2 Mar 2022 18:02:03 -0800
Subject: [PATCH v65 11/11] pgstat: Rename STATS_COLLECTOR GUC group to
 STATS_ACTIVITY.

---
 src/include/utils/guc_tables.h |  2 +-
 src/backend/utils/misc/guc.c   | 20 ++++++++++----------
 2 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/src/include/utils/guc_tables.h b/src/include/utils/guc_tables.h
index f7e54a87b7b..3ffbf44f26d 100644
--- a/src/include/utils/guc_tables.h
+++ b/src/include/utils/guc_tables.h
@@ -82,7 +82,7 @@ enum config_group
 	LOGGING_WHAT,
 	PROCESS_TITLE,
 	STATS_MONITORING,
-	STATS_COLLECTOR,
+	STATS_ACTIVITY,
 	AUTOVACUUM,
 	CLIENT_CONN_STATEMENT,
 	CLIENT_CONN_LOCALE,
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index 61901a1f479..3c1233ab3d8 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -806,8 +806,8 @@ const char *const config_group_names[] =
 	gettext_noop("Reporting and Logging / Process Title"),
 	/* STATS_MONITORING */
 	gettext_noop("Statistics / Monitoring"),
-	/* STATS_COLLECTOR */
-	gettext_noop("Statistics / Query and Index Statistics Collector"),
+	/* STATS_ACTIVITY */
+	gettext_noop("Statistics / Query and Index Activity Statistics"),
 	/* AUTOVACUUM */
 	gettext_noop("Autovacuum"),
 	/* CLIENT_CONN_STATEMENT */
@@ -1534,7 +1534,7 @@ static struct config_bool ConfigureNamesBool[] =
 #endif
 
 	{
-		{"track_activities", PGC_SUSET, STATS_COLLECTOR,
+		{"track_activities", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Collects information about executing commands."),
 			gettext_noop("Enables the collection of information on the currently "
 						 "executing command of each session, along with "
@@ -1545,7 +1545,7 @@ static struct config_bool ConfigureNamesBool[] =
 		NULL, NULL, NULL
 	},
 	{
-		{"track_counts", PGC_SUSET, STATS_COLLECTOR,
+		{"track_counts", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Collects statistics on database activity."),
 			NULL
 		},
@@ -1554,7 +1554,7 @@ static struct config_bool ConfigureNamesBool[] =
 		NULL, NULL, NULL
 	},
 	{
-		{"track_io_timing", PGC_SUSET, STATS_COLLECTOR,
+		{"track_io_timing", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Collects timing statistics for database I/O activity."),
 			NULL
 		},
@@ -1563,7 +1563,7 @@ static struct config_bool ConfigureNamesBool[] =
 		NULL, NULL, NULL
 	},
 	{
-		{"track_wal_io_timing", PGC_SUSET, STATS_COLLECTOR,
+		{"track_wal_io_timing", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Collects timing statistics for WAL I/O activity."),
 			NULL
 		},
@@ -3525,7 +3525,7 @@ static struct config_int ConfigureNamesInt[] =
 	},
 
 	{
-		{"track_activity_query_size", PGC_POSTMASTER, STATS_COLLECTOR,
+		{"track_activity_query_size", PGC_POSTMASTER, STATS_ACTIVITY,
 			gettext_noop("Sets the size reserved for pg_stat_activity.query, in bytes."),
 			NULL,
 			GUC_UNIT_BYTE
@@ -4534,7 +4534,7 @@ static struct config_string ConfigureNamesString[] =
 	},
 
 	{
-		{"stats_temp_directory", PGC_SIGHUP, STATS_COLLECTOR,
+		{"stats_temp_directory", PGC_SIGHUP, STATS_ACTIVITY,
 			gettext_noop("Writes temporary statistics files to the specified directory."),
 			NULL,
 			GUC_SUPERUSER_ONLY
@@ -4892,7 +4892,7 @@ static struct config_enum ConfigureNamesEnum[] =
 	},
 
 	{
-		{"track_functions", PGC_SUSET, STATS_COLLECTOR,
+		{"track_functions", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Collects function-level statistics on database activity."),
 			NULL
 		},
@@ -4912,7 +4912,7 @@ static struct config_enum ConfigureNamesEnum[] =
 	},
 
 	{
-		{"stats_fetch_consistency", PGC_SUSET, STATS_COLLECTOR,
+		{"stats_fetch_consistency", PGC_SUSET, STATS_ACTIVITY,
 			gettext_noop("Stats consistency model XXXX"),
 			NULL
 		},
-- 
2.35.1.354.g715d08a9e5

